#!/bin/bash
#SBATCH --job-name=fastqc
#SBATCH --time=0-12:00:00
#SBATCH --ntasks=1
#SBATCH --mem=15G
#SBATCH --qos=regular


set -e
set -u
set -x
set -o pipefail


module purge
module load Java
module load FastQC


dir_raw_fastq="$(pwd)/fastq/raw"
dir_fastqc="$(pwd)/fastqc"


[ -d "${dir_fastqc}" ] || mkdir -p "${dir_fastqc}"


# Run FastQC
files=$(find -L "$dir_raw_fastq" -type f -iname "*.fastq.gz")
for file in $files; do
	filename=$(basename "$file")
	fastqc -o "$dir_fastqc" "$file" &
done

wait
